<?php

if ($allScopeEnvValue = env('SSO_SCOPES')) {
    $scopes = array_filter(array_map('trim', explode(',', $allScopeEnvValue)));
} else {
    $scopes = ['openid', 'profile'];
}

return [
    /** @deprecated Hard-coded default client ID for backwards compatability. */
    'client_id' => env('SSO_CLIENT_ID', 'mijnggz'),
    'idp_base_uri' => env('SSO_IDP_BASE_URI', 'https://login.ggzecademy.nl/realms/GGZE'),
    'redirect_uri' => env('SSO_REDIRECT_URI', 'https://mijn.ggzecademy.nl/sso'),
    'secret' => env('SSO_SECRET', 'Rgj3aszm1tO5Tc2ggoe0WjjGelLB1KE7'),
    'scopes' => $scopes,
];
